---
title: Intl.PluralRules
slug: Web/JavaScript/Reference/Global_Objects/Intl/PluralRules
tags:
  - Class
  - Internationalization
  - Intl
  - JavaScript
  - PluralRules
---
<div>{{JSRef}}</div>

<p>The <strong><code>Intl.PluralRules</code></strong> object enables plural-sensitive formatting and plural-related language rules.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{jsxref("PluralRules.PluralRules()", "Intl.PluralRules.PluralRules()")}}</dt>
 <dd>Creates a new <code>Intl.PluralRules</code> object.</dd>
</dl>

<h2 id="Static_methods">Static methods</h2>

<dl>
 <dt>{{jsxref("Intl/PluralRules/supportedLocalesOf", "Intl.PluralRules.supportedLocalesOf()")}}</dt>
 <dd>Returns an array containing those of the provided locales that are supported without having to fall back to the runtime's default locale.</dd>
</dl>

<h2 id="Instance_methods">Instance methods</h2>

<dl>
 <dt>{{jsxref("Intl/PluralRules/resolvedOptions", "Intl.PluralRules.prototype.resolvedOptions()")}}</dt>
 <dd>Returns a new object with properties reflecting the locale and collation options computed during initialization of the object.</dd>
 <dt>{{jsxref("Intl/PluralRules/select", "Intl.PluralRules.prototype.select()")}}</dt>
 <dd>Returns a {{jsxref("String")}} indicating which plural rule to use for locale-aware formatting.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Using_locales">Using locales</h3>

<p>This example shows some of the variations in localized plural rules. In order to get the format of the language used in the user interface of your application, make sure to specify that language (and possibly some fallback languages) using the <code>locales</code> argument:</p>

<pre class="brush: js notranslate">// Arabic has different plural rules

new Intl.PluralRules('ar-EG').select(0);
// → 'zero'
new Intl.PluralRules('ar-EG').select(1);
// → 'one'
new Intl.PluralRules('ar-EG').select(2);
// → 'two'
new Intl.PluralRules('ar-EG').select(6);
// → 'few'
new Intl.PluralRules('ar-EG').select(18);
// → 'many'
</pre>

<h2 id="Polyfill">Polyfill</h2>

<p><a href="https://formatjs.io/docs/polyfills/intl-pluralrules">formatjs Intl.PluralRules polyfill</a></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ES Int Draft', '#pluralrules-objects', 'Intl.PluralRules')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Intl.PluralRules")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Intl")}}</li>
</ul>
